%% Plotting the graphs:

starter_runs = [1 5 8 12 15 19];
ending_runs =  [4 7 11 14 18 22];

% max_every_run = zeros(2,ending_runs(end));

for j = 1:length(starter_runs)
    
close all;
clc;    

start_run = starter_runs(j);
end_run = ending_runs(j);
no_runs = ending_runs(end);

copy_to_folder = 'C:\Users\Emir Lejlic\Dropbox\Masteroppgave\Master_report\figures\parameter_variation';
%Preallocating the legend
legend_info = cell(1,no_runs);

for i = start_run:end_run
legend_info{i} = run_info(1,i).legend;
max_every_run(1,i) = max(run_info(1,i).fat_dam(:,1));
max_every_run(2,i) = max(run_info(1,i).fat_dam(:,2));
end

%The largest values:
ymax_val = zeros(1,(end_run-start_run)+1);
xmax_val = ymax_val;

xmax_val = max_every_run(1,start_run:end_run);
ymax_val = max_every_run(2,start_run:end_run);

ymax = max(ymax_val);
xmax = max(xmax_val);

%Removing the underscores from the legend_info
for i = start_run:end_run
legend_info{i} = strrep(legend_info{i},'_',' ');
end

%Colormap: lines. There are several to choose from.
if (end_run - start_run + 1) > 4
    cc = lines((end_run - start_run + 1));
else
    cc = zeros(4,3);
    cc(1,:) = [1 0 0];%red
    cc(2,:) = [0 0 1];%blue
    cc(3,:) = [0 1 0];%green
    cc(4,:) = [0 0 0];%black
end

%The plot.
figure();
grid on;
hold on;
for i = start_run:end_run
    
    x = run_info(1,i).fat_dam(:,1);
    y = run_info(1,i).fat_dam(:,2)./ymax;
    plot(x,y,'color',cc(i-(start_run-1),:),'LineWidth',1);
    ylabel('Normalized fatigue damage [-]');
    title(['Max fatigue damage: ',num2str(ymax,'%3.2f'),' [1/years]']);
    xlabel('x [m]');
    xlim([0 2000]);
    ylim([0 1]);
    legend(legend_info{start_run:end_run},'Location','Best');%,'Orientation','horizontal');%run_info(1,i).legend);
    
    clear x y;
    
end
%This is the way I can create my figures
name = strcat('Run ',num2str(start_run),'-',num2str(end_run));
name_pdf = strcat(name,'.pdf');
name_eps = strcat(name,'.eps');
export_fig(name_pdf,'-pdf','-transparent','-painters');
print(gcf,name_eps,'-depsc2','-painters');

copyfile(name_pdf,copy_to_folder);
delete(name_pdf);
copyfile(name_eps,copy_to_folder);
delete(name_eps);
clear name name_eps name_pdf;


%Looking at the TDP.
%Orig xlim([1650 1750]);

%Run15_18
% xlim_neg = 1680;
% xlim_pos = 1720;

xlim_neg = 1650;
xlim_pos = 1750;

figure();
grid on;
hold on;
for i = start_run:end_run
    
    x = run_info(1,i).fat_dam(:,1);
    y = run_info(1,i).fat_dam(:,2)./ymax;
    plot(x,y,'color',cc(i-(start_run-1),:));
    ylabel('Normalized fatigue damage [-]');
    title(['Max fatigue damage: ',num2str(ymax,'%3.2f'),' [1/years]']);
    xlabel('x [m]');
    xlim([xlim_neg xlim_pos]);
    ylim([0 1]);
    %legend(legend_info{start_run:end_run},'Location','Best');%run_info(1,i).legend);
    
    clear x y;
    
end
set(gca, 'XTick',xlim_neg:10:xlim_pos);
%This is the way I can create my figures
name = strcat('Run ',num2str(start_run),'-',num2str(end_run),'_near_TDP');
name_pdf = strcat(name,'.pdf');
name_eps = strcat(name,'.eps');
export_fig(name_pdf,'-pdf','-transparent','-painters');
print(gcf,name_eps,'-depsc2','-painters');

copyfile(name_pdf,copy_to_folder);
delete(name_pdf);
copyfile(name_eps,copy_to_folder);
delete(name_eps);
clear name name_eps name_pdf;

% Max fat value for every run

%Preallocating memory
legend_info = cell(1,no_runs);
max_fatdam_value = zeros(1,no_runs);
x_values_max_fat = zeros(1,no_runs);

%Inserting the max values
for i = start_run:end_run
    legend_info{i} = run_info(1,i).legend;
    max_fatdam_value(i) = max(run_info(1,i).fat_dam(:,2));
    
    %Finding in which row the value is
    [i_indx, ~] = find(run_info(1,i).fat_dam == max_fatdam_value(i));
    
    %The x-value where the largest fatdam is.
    x_values_max_fat(i) = run_info(1,i).fat_dam(i_indx,1);
    
end

%The plots:
clc;

x_val = 1:(end_run-start_run)+1;
y_val = zeros(1,(end_run-start_run)+1);
y_val = max_fatdam_value(start_run:end_run);


figure()
%
hline = plot(x_val,y_val./max(y_val),'--r','LineWidth',2);%,...
%PLotting
hold on;
hdot = scatter(x_val,y_val./max(y_val),60,'MarkerFaceColor','g','MarkerEdgeColor','k');        
%
grid on;
ylim([0.8*min(y_val./max(y_val)) 1.1]);
xlim([(x_val(1)-0.25) (x_val(end)+0.25)]);
title(['Max fatigue: ',num2str(max(y_val),'%3.2f'),' [1/years]']);
xlabel('Name of analysis.')
ylabel('Normalized fatigue [Fat. dam./max(Fat. dam.)]')
set(gca, 'XTick',x_val, 'XTickLabel',legend_info(start_run:end_run))
legend(hdot,'Max fatigue for run_i','Location','Best');
0.9*min(y_val./max(y_val))


%This is the way I can create my figures
name = (['max_fatigue_run_',num2str(start_run),'-',num2str(end_run)]);
name_pdf = strcat(name,'.pdf');
name_eps = strcat(name,'.eps');
export_fig(name_pdf,'-pdf','-transparent','-painters');
print(gcf,name_eps,'-depsc2','-painters');

copyfile(name_pdf,copy_to_folder);
delete(name_pdf);
copyfile(name_eps,copy_to_folder);
delete(name_eps);
clear name name_eps name_pdf;

%Plotting the x-point of the TDP
y_val = zeros(1,(end_run-start_run)+1);
x_val = x_values_max_fat(start_run:end_run);
y_val = 1:(end_run-start_run)+1;

figure()
%
hline = plot(x_val,y_val,'--r','LineWidth',2);%,...
hold on;
hdot = scatter(x_val,y_val,60,'MarkerFaceColor','b','MarkerEdgeColor','none');
set(gca, 'YTick',y_val, 'YTickLabel',legend_info(start_run:end_run))
grid on;
ylim([(y_val(1)-0.25) (y_val(end)+0.25)]);
ylabel('Name of analysis.')
xlabel('Length of riser [m].');
legend(hdot,sprintf('Position on the riser\nwith max fatigue damage.'),'Location','Best');

%This is the way I can create my figures
name = (['point_with_maxfat',num2str(start_run),'-',num2str(end_run)]);
name_pdf = strcat(name,'.pdf');
name_eps = strcat(name,'.eps');
export_fig(name_pdf,'-pdf','-transparent','-painters');
print(gcf,name_eps,'-depsc2','-painters');

copyfile(name_pdf,copy_to_folder);
delete(name_pdf);
copyfile(name_eps,copy_to_folder);
delete(name_eps);
clear name name_eps name_pdf;

end
