%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This script will find the fatigue from all the runs compare them in a
%plot.
%
%Created by: Emir Lejlic.
%Date: 22.03.13
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all;
close all;
clc;

%This can be changed depending on how many analyses have been run.
start_run = 1;
end_run = 22;
no_runs = 22;

max_every_run = zeros(2,no_runs);
%Preallocating memory for legend_info
legend_info = cell(1,no_runs);

%Creating a struct containing all the info needed to plot the fatigue
%damage from the mpf files. 
run_info(no_runs) = struct();

%This for loop runs through all the runs in the folder. I should probably
%change how the mpf_path is defined, depending on in which folder I'll have
%this script. EMLE\28.03.13

fprintf('Going through the runs...\n');

for i = start_run:end_run
   
    %The path to the mpf file.
    run_info(1,i).mpf_path = fullfile(cd,strcat(['run_',num2str(i),...
        '\sima_vivana.mpf']));
    
    dummy_mpf = file2str(run_info(1,i).mpf_path);
    
    %The commands below will find the fatigue data in the mpf file:
    find_max_damage = strfind(dummy_mpf,'accumulated');    
    find_drag_amp = strfind(dummy_mpf,'Drag ');
    fatigue_damage_data = dummy_mpf(find_max_damage(1):find_drag_amp(1)-12);
    %Deleting the unecessary variables...
    clear dummy_mpf;
    
    %Need only the number data from the string:
    find_values = strfind(fatigue_damage_data,'VALUES');
    fat_dam = fatigue_damage_data(find_values+6:end);
    run_info(1,i).fat_dam = str2num(fat_dam);
    
    %Creating the legend info:
    %Creating these dummy variables to find what I want in the run_path. In
    %this case I want the name of the run.
    dummy1 = strfind(run_info(1,i).mpf_path,'mpf\');
    %The last \ in dummy2 will be the one I need.
    dummy2 = strfind(run_info(1,i).mpf_path,'\');
    
    run_info(1,i).legend = run_info(1,i).mpf_path(dummy1+4:dummy2(end)-1);
    %Deleting the unecessary variables...
    clear dummy1 dummy2;
    
    fprintf('%i of %i run(s) read.\n',i-(start_run-1),(end_run - start_run + 1));  
    
end















