function run_data = add_fatigue_damage_to_struct(run_data, run_folder,fatigue_file)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%The function goes to the respective folder, and extracts the fatigue
%damage saved in the fatigue_damage.txt file. It then saves this info in
%the struct for further processing.
%
%Name: Emir Lejlic.
%Date: 08.05.13
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Creating a waitbar
h = waitbar(0,'Adding the fatigue damage...');

%Finding the fatigue damage.
    for i = 1:length(run_data)
        
        waitbar(i / length(run_data))
       
        %The folder where the fatigue.txt file is.
        fatigue_file_path = fullfile(run_folder,run_data(i,1).name,fatigue_file);
        %Going to the folder.
                
        %Reading the .txt file containing the damage.
        fatigue_text = file2str(fatigue_file_path);
        
        %[1/years] are the last chars before the numbers.
        find_str = strfind(fatigue_text,'[1/years]');
        
        run_data(i,1).fatigue_damage = str2num(fatigue_text(find_str+length('[1/years]')+1:end));       
        
    end
    
    close(h) 

end

