function run_data = find_riser_static_results(run_data, stamod_res_text)
%This function finds the static config of the riser from the stamod.res
%file.
%
%Name: Emir Lejlic.
%Date: 12.05.13
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Creating a waitbar
h = waitbar(0,'Finding the static config...');

%Finding the TDPs.
    for i = 1:length(run_data)
        
        waitbar(i / length(run_data))
                      
        %Finding the X-coord. in the text.
        str_xcoord = strfind(stamod_res_text,'X-coord.');
        
        %This is the string after the the static results.
        str_static_results = strfind(stamod_res_text,'STATIC RESULTS WRITTEN TO FILE');
        
        %This is the important text.
        config_text_tmp = stamod_res_text(str_xcoord:str_static_results-1);
        
        %Finding 'number' in the text.
        str_number = strfind(config_text_tmp,'number');
        
        %The config results are now.
        config_text = config_text_tmp(str_number+length('number')+1:end);
        
        %Making the text into an array with the results.
        %Under it is possible to see the headers.
        %| Node | X-coord. | Y-coord. | Z-coord. | Y-moment | Y-curv. | Z-curv. |
        run_data(i,1).static_config = str2num(config_text);
        
    end
    
    close(h) 

    
    
    


end

