function [final_fat_dam, sum_prob] = sum_fatigue_damage_from_xy_variation(run_data)
%The function goes through the run_data struct and sums the fatigue damage.

%Preallocating the memory
final_fat_dam = zeros(size(run_data(1,1).fatigue_damage,1),2);
fat_dam_tmp = zeros(size(run_data(1,1).fatigue_damage,1),1);

%The arclength of the riser.
final_fat_dam(:,1) = run_data(1,1).fatigue_damage(:,1);

%Summing the probability to check if all are taken into account.
sum_prob = 0;


    for i = 1:length(run_data)
        
        %Adding the prob. each row in the struct.
        prob = run_data(i,1).prob;
        %Multiplying the fatigue for each (x,y) with its respective p(x,y).
        fat_dam_tmp(:,1) = prob .* run_data(i,1).fatigue_damage(:,2);
        %Adding it to the final fatigue.
        final_fat_dam(:,2) = final_fat_dam(:,2) + fat_dam_tmp(:,1);      
        
        %Summing the probability.
        sum_prob = sum_prob + prob;

    end


end

