function [starts ends]=FindLines(str)
% FindLines - find position of line beginings and ends in a string
%
% Input
% str - a string in which lines are delimited by CR, LF or CR+LF
%
% Ouput
% starts - position in the string of the first character of each line
% ends   - position in the string of the last character of each line
% Empty lines are not reported
% 
% $Author: elizabep $ $DateTime: 2011/05/20 17:06:36 $

% $Id: //depot/felles/Marinlab/main/miscellaneous/FindLines.m#1 $


cr    = char(13);
lf    = char(10);

icrlf        = strfind(str,[cr lf]);
str(icrlf)   = ' ';
str(icrlf+1) = ' ';
icr   = strfind(str,cr);
ilf   = strfind(str,lf);
starts = [1 sort([icr+1 ilf+1 icrlf+2])];
ends   = [  sort([icr-1 ilf-1 icrlf-1]) length(str)];
void = ends<starts;
starts(void) = [];
ends(void) = [];
end