function xy_polar_cord_prob = convert_xy_to_polar_xy(xy_coord_prob)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This function takes the coordinates, their counts and prob, and
%converts the coordinates to polar coordinates, for further processing.
%
%Date: 25.04.13
%Name: Emir Lejlic.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Creating the matrix containing the coordinates. It has to have:
%
%  | x | y | radius | theta_rad | theta_deg | counts | prob. |
% 
%It means that it should be a rows(xy_coord_prob) x 7

[rows, ~] = size(xy_coord_prob);

xy_polar_cord_prob = zeros(rows, 7);

    fprintf('Converting to polar coordinates...\n');

    %Inserting the values.
    for i = 1:rows
        
        fprintf('%i of %i coordinates converted.\n',i,rows);
        
             
        %Inserting x values:
        xy_polar_cord_prob(i,1) = xy_coord_prob(i,1);
        %Inserting y values:
        xy_polar_cord_prob(i,2) = xy_coord_prob(i,2);
        %Calculating the radius:
        xy_polar_cord_prob(i,3) = sqrt(xy_coord_prob(i,1).^2 + xy_coord_prob(i,2).^2);
            
        %Finding the theta angle in radians:
        xy_polar_cord_prob(i,4) = atan2(xy_polar_cord_prob(i,2),xy_polar_cord_prob(i,1));
        
            %If the coordinate is in the 3. or 4. quadrant, this is
            %necessary.
            if xy_polar_cord_prob(i,4) < 0               
                xy_polar_cord_prob(i,4) = xy_polar_cord_prob(i,4) + (2*pi);
            end      
                           
        %Theta angle in degrees:
        xy_polar_cord_prob(i,5) = xy_polar_cord_prob(i,4) .* (180/pi);
        
         
        %Number of counts:
        xy_polar_cord_prob(i,6) = xy_coord_prob(i,3);
        %The probabilit:
        xy_polar_cord_prob(i,7) = xy_coord_prob(i,4);
        
    end
    
end

