function [x_max, x_min, y_max, y_min] = find_extreme_coord(x_y_motion, x_pos_files, index)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Find the largest extreme coordinates from the data.
%
%Name: Emir Lejlic.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Need to set a start value!
x_max = 0;
x_min = x_max;
y_max = x_max;
y_min = x_max;

%Going through the x and y pos files and finding the largest values:
    for i = 1:x_pos_files

        %The temp values are the max from each file, while x_max is the largest
        %of all x_max_tmp.

        %The index refers to which x-value you want to get. Index + 1 will
        %find the y-values.
        x_max_tmp = max(x_y_motion(i,1).x_y_data(:,index));

        if x_max_tmp >= x_max        
            x_max = x_max_tmp;               
        end

        x_min_tmp = min(x_y_motion(i,1).x_y_data(:,index));

        if x_min_tmp <= x_min        
            x_min = x_min_tmp;               
        end

        y_max_tmp = max(x_y_motion(i,1).x_y_data(:,index+1));

        if y_max_tmp >= y_max        
            y_max = y_max_tmp;               
        end

        y_min_tmp = min(x_y_motion(i,1).x_y_data(:,index+1));

        if y_min_tmp <= y_min        
            y_min = y_min_tmp;               
        end

    end
    
end
