function [plot_2D_struct, struct_field_name] = plot_one_direction_2D(x_y_motion, direction)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%The function gets one direction as input and saves all the coordinates
%from this direction into a struct. It will also plot the the motion as
%points and create a outer boundary.
%
%Name: Emir Lejlic.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

plot_2D_struct(1,1) = struct();

[rows, ~] = size(x_y_motion);

struct_counter = 1;

    for i = 1:rows
        
        %Finding the direction of the in the folders.
        tmp = strfind(x_y_motion(i,1).folder,'dir');
        tmp2 = strfind(x_y_motion(i,1).folder,'hs');
        
        dir = str2double(x_y_motion(i,1).folder(tmp+3:tmp2-2));
        
        %If the direction in the folders is the same as inserted in the
        %input, then I want to store them in the struct.
        if dir == direction
           
            struct_field_name{1,struct_counter} = x_y_motion(i,1).folder(tmp:end);
            
            %The genvarname function stores the string as a variable name.
            %However, it stores a dot as: 0x2E, so that 'hello.test' will
            %be stored as hello0x2Etest
            struct_field_var =  genvarname(x_y_motion(i,1).folder(tmp:end));
            
            plot_2D_struct.(struct_field_var) = x_y_motion(i,1).x_y_data(:,1:2);   
            
            struct_counter = struct_counter + 1;
           
        end
        
    end
    
end

