function filtered_xy_motion = plot_raw_xy_motion(xy_coord_prob,...
    inner_radius,outer_radius, delta_delete)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This function gets all the raw data vessel coordinates and probabilites
%and creates a new matrix, which has filtered some of the data between two
%radiuses. Inside these two radius there are usually many points, and the
%figure gets very large... This needs to be reduced, something this
%function does.
%
%Name: Emir Lejlic.
%Date: 21.05.13
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%Creating a new matrix with coordinates only inside a radius of 20m are
%taken into account in the plot. This is done to get a smaller figure for
%Latex.
xy_coord_inside = zeros(size(xy_coord_prob,1),3);
xy_coord_between = xy_coord_inside;
xy_coord_outside = xy_coord_inside;

%Need to count through xy_coord_plot matrix
counter = 1;
counter2 = 1;
counter3 = 1;

    for i = 1:size(xy_coord_prob,1)   

        fprintf('%i of %i coordinates counted through.\n',i,size(xy_coord_prob,1));
        %The radius which I want to plot in.
        r = sqrt(xy_coord_prob(i,1).^2 + xy_coord_prob(i,2).^2);

            if r <= inner_radius

                %x-coord
                xy_coord_inside(counter,1) = xy_coord_prob(i,1);

                %y-coord
                xy_coord_inside(counter,2) = xy_coord_prob(i,2);

                %prob
                xy_coord_inside(counter,3) = xy_coord_prob(i,4);

                counter = counter + 1;

            %Finding the cooridates between the inside and outside radius.
            %There are most occurences here, so these coordinates will be
            %filtered the most
            elseif (r > inner_radius && r <= outer_radius)

                %x-coord
                xy_coord_between(counter2,1) = xy_coord_prob(i,1);

                %y-coord
                xy_coord_between(counter2,2) = xy_coord_prob(i,2);

                %prob
                xy_coord_between(counter2,3) = xy_coord_prob(i,4);

                counter2 = counter2 + 1;
                
            else

                %x-coord
                xy_coord_outside(counter3,1) = xy_coord_prob(i,1);

                %y-coord
                xy_coord_outside(counter3,2) = xy_coord_prob(i,2);

                %prob
                xy_coord_outside(counter3,3) = xy_coord_prob(i,4);

                counter3 = counter3 + 1;

            end


    end

%Deleting the rows which have not been registrerd.
xy_coord_inside(counter:end,:) = [];
xy_coord_between(counter2:end,:) = [];
xy_coord_outside(counter3:end,:) = [];

%Deleting some of the rows from the between matrix.
xy_coord_between(1:delta_delete:end,:) = [];
xy_coord_between(1:delta_delete:end,:) = [];
xy_coord_between(1:delta_delete:end,:) = [];




rows_inside = size(xy_coord_inside,1);
rows_between = size(xy_coord_between,1);
rows_outside = size(xy_coord_outside,1);

sum_rows = rows_inside + rows_between + rows_outside;

filtered_xy_motion = zeros(sum_rows,3);

row_start = 1;
row_end = rows_inside;
filtered_xy_motion(row_start:row_end,:) = xy_coord_inside;

row_start = row_end + 1;
row_end = rows_inside + rows_between;
filtered_xy_motion(row_start:row_end,:) = xy_coord_between;

row_start = row_end + 1;
row_end = sum_rows;
filtered_xy_motion(row_start:row_end,:) = xy_coord_outside;




end

