function [prob_matrix count_matrix] = prob_xy_motion_plot(x_y_motion, coord_matrix, index_matrix, probability_matrix)
%The function will go through the struct containing the x and y data and
%cross check them with the index and coord. matrix. By doing that it can
%count how many occurences in each interval there is. 
%
%By having the occurences it can create a probability plot of the motion.
%
%Name:      Emir Lejlic
%Created:   16.04.13
%Modified:  16.04.13
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Need this info to loop through the struct.
[index_matrix_rows index_matrix_cols] = size(index_matrix);

[xy_struct_rows ~] = size(x_y_motion);

[xy_data_rows ~] = size(x_y_motion(1,1).x_y_data);


count_matrix = probability_matrix;

    %Looping through the x and y data:
    
    for i = 1:1%When the script works, this line should be changed to xy_struct_rows
                       
       for j = 1:xy_data_rows

           x = x_y_motion(i,1).x_y_data(j,1);
           y = x_y_motion(i,1).x_y_data(j,2);
           
           
           
           counter = 1:500:xy_data_rows;
           
           if j == counter(1)
               fprintf('%i of %i number checked!\n',j,xy_data_rows);
           
           elseif j > counter(1) && j < counter(end)
               
               for q = 2:length(counter)
                   if j == counter(q)
                       fprintf('%i of %i number checked!\n',j,xy_data_rows);
                   end
               end
           elseif j == xy_data_rows
               fprintf('%i of %i number checked!\n',j,xy_data_rows);
               fprintf('The computation is finished!\n');                      
                              
           end  
                                                 
           %fprintf('x: %f and y: %f\n',x,y);         
           k = 1;
        
                while k <= index_matrix_rows-1
            
                    l = 1;

                    while l <= index_matrix_cols-1

                    %Need to find certain objects in the matrix, to get out the
                    %numbers.

                    %Finding the commas:
                    comma_x1 = strfind(coord_matrix{k,l},',');
                    comma_x2 = strfind(coord_matrix{k,l+1},',');
                    comma_x3 = strfind(coord_matrix{k+1,l},',');
                    comma_x4 = strfind(coord_matrix{k+1,l+1},',');

                    %Getting out the x and y coord values:
                    x1_value = str2double(coord_matrix{k,l}(2:comma_x1-1));
                    x2_value = str2double(coord_matrix{k,l+1}(2:comma_x2-1));
                    x3_value = str2double(coord_matrix{k+1,l}(2:comma_x3-1));
                    x4_value = str2double(coord_matrix{k+1,l+1}(2:comma_x4-1));

                    y1_value = str2double(coord_matrix{k,l}(comma_x1+1:end-1));
                    y2_value = str2double(coord_matrix{k,l+1}(comma_x2+1:end-1));
                    y3_value = str2double(coord_matrix{k+1,l}(comma_x3+1:end-1));
                    y4_value = str2double(coord_matrix{k+1,l+1}(comma_x4+1:end-1));

               %This part is to check if some of the coordinates are on the
               %sector borders. If they are, the script will not know where to
               %place the coordinate. Therefore a small, random eps is
               %introduced to change that.

               %This will check if the coord is on a border.
               if (x == x1_value || x == x2_value) || (y == y1_value || y == y3_value)

                   %Example 1: Generate values from the uniform distribution on the
                   %interval [a, b].
                   %r = a + (b-a).*rand(100,1);

                   %The interval which tells which number that will be created.
                   a = 1;
                   b = -1;

                   %This function will produce -1, 0 or 1
                   r = a + (b-a).*rand(1,1);

                   %The rand function may give 0. I want only 1 or -1
                    if r > 0                   
                        r = 1;
                    elseif r == 0
                        r = 1;
                    else
                        r = -1;                      
                    end

                   x = x + (r*eps);
                   y = y + (r*eps);

               end                

                        if x > x1_value && x < x2_value && y > y3_value && y < y1_value

                            %Counting the occurences of x and y pos:
                            count_matrix(k,l) = count_matrix(k,l) + 1;
                            
                            %If the coordinates have been placed in their
                            %respective sector, then there is no need to
                            %count through the other sectors, and the
                            %variable counted is true.
                            counted = true;
                            l = index_matrix_cols;

                        else
                            %If not, then the script needs to check the
                            %other sectors.
                            counted = false;
                            l = l + 1;
                        end


                    end
                    
                        %If a coordinate is counted, I want to go to the
                        %next coordinate in the struct x_y_motion.x_y_data
                    if counted == true
                        k = index_matrix_rows;
                    else
                        k = k + 1;
                    end
                    
                 end
                
        end
            
    end
    
%The probability matrix:
prob_matrix = count_matrix/xy_data_rows;    

end


    





