function [x_y_motion, x_data_rows, x_pos_files] =...
    read_xy_data(x_y_folder,x_pos_file,y_pos_file,x_y_motion_cols)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This matlab script is supposed to read through the Xpos and Ypos files,
%and save them in a struct for further processing.
%
%Name: Emir Lejlic
%Date: 09.04.13
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Reading the data:

%Going inside the x_y_folder
cd(x_y_folder);
%Saving the dir info where the x_y folders are
X_Y_directory = dir;
%Going out of the folder
cd ..

%Need the size to loop through the folders!
[X_Y_dir_row, ~] = size(X_Y_directory);

%-2 because of . and .. in the directory.
x_pos_files = X_Y_dir_row - 2;

%Unecessary variable:
clear X_Y_dir_col;

%Creating a struct containing all necessary info. The -2 is bebause of .
%and .. in the directory.
x_y_motion(X_Y_dir_row-2,1) = struct();

%Creating paths were the x_y_pos files are:
    for i = 3:X_Y_dir_row

        x_y_motion(i-2,1).folder = fullfile(cd,x_y_folder,X_Y_directory(i,1).name);

    end
fprintf('\nReading the .asc files\n');
% Creating data:

    for i = 1:x_pos_files

        %The path to the .asc files
        x_file = fullfile(x_y_motion(i,1).folder,x_pos_file);
        y_file = fullfile(x_y_motion(i,1).folder,y_pos_file);
        %Importing them into variables as a string.
        x_text = file2str(x_file);
        y_text = file2str(y_file);

        %The last hashtag indicates when the data starts.
        hashtags = strfind(x_text,'#');

        last_hashtag = hashtags(1,length(hashtags));

        x_str_data = x_text(last_hashtag+1:end);
        y_str_data = y_text(last_hashtag+1:end);

        x_data = str2num(x_str_data);
        y_data = str2num(y_str_data);
        
        [x_data_rows, ~] = size(x_data);
        
        clear x_data_cols;
                
        %Preallocating the x_y_data matrixes:
        x_y_motion(i,1).x_y_data = zeros(x_data_rows,x_y_motion_cols);
        
        %Inserting the x and y data:
        x_y_motion(i,1).x_y_data(:,1) = x_data(:,2);
        x_y_motion(i,1).x_y_data(:,2) = y_data(:,2);
        
        fprintf('%i of %i files scanned.\n',i,x_pos_files);
       
    
        %Deleting unecessary variables: 
        clear x_file y_file x_text y_text x_str_data y_str_data;

    end
        
end
