function [transformed_matrix, coord_matrix, transformed_coord_matrix]= ...
transform_coord_matrix(x_max, x_min, y_max, y_min, dx)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This function will create a new coordinate system, such that it will be
%easy to place the coordinates into a matrix. The new coordinate system is
%placed such that all coordinates are positive.%
%
%Name: Emir Lejlic
%Date: 18.04.13
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

trans_matrix_rows = (y_max-y_min)/dx + 1; %2*abs(x_start)/dx + 1;
trans_matrix_cols = (x_max-x_min)/dx + 1;
%x_max = abs(x_start);

%Preallocating the matrix for the transformed coordinates.
transformed_matrix = zeros(trans_matrix_rows, trans_matrix_cols);
transformed_coord_matrix = cell(trans_matrix_rows, trans_matrix_cols);

[coord_matrix, ~, ~] = ...
create_reference_matrices(x_max, x_min, y_max, y_min, dx);

%Need to transform the the original coord_matrix to the new one:
[rows, cols] = size(coord_matrix);

%The start position for creating the matrix:
x_start = x_min;
y_start = y_max;

    for i = 1:rows

        for j = 1:cols

            %Find the comma in order to get out the numbers!
            comma_str = strfind(coord_matrix{i,j},',');

            x_old = str2double(coord_matrix{i,j}(2:comma_str-1));
            y_old = str2double(coord_matrix{i,j}(comma_str+1:end-1));

            x_new = x_old - x_start;
            y_new = y_start - y_old;

            transformed_coord_matrix{i,j} = strcat('(',num2str(x_new),',',num2str(y_new),')');

        end
        
    end
    
end