function [x_y_motion] = ...
transform_xy_data(x_y_motion, x_pos_files, x_data_rows, x_min, y_max)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%The function takes in the original (x,y) data, and transforms them according to
%the new transformed coordinate system.
%
%Created by: Emir Lejlic
%Date:       18.04.13 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%These values are the origin of the transformed coord. system.
x_start = x_min;
y_start = y_max;

fprintf('\nTransforming the (x,y) data...\n');

    for i = 1:x_pos_files
        
        fprintf('%i of %i files transformed.\n',i,x_pos_files);

        for j = 1:x_data_rows

            %The transformed x-coord:
            x_y_motion(i,1).x_y_data(j,3) = round(10* (x_y_motion(i,1).x_y_data(j,1) - x_start))/10;
            %The transformed y-coord:
            x_y_motion(i,1).x_y_data(j,4) = round(10* (y_start - x_y_motion(i,1).x_y_data(j,2)))/10;

            %Multiplying the transformed data with 100 to be able to place
            %them in a matrix.
            x_y_motion(i,1).x_y_data(j,5) = round(x_y_motion(i,1).x_y_data(j,3) * 100);
            x_y_motion(i,1).x_y_data(j,6) = round(x_y_motion(i,1).x_y_data(j,4) * 100);

        end

    end
    
end