function xy_2D_plot_data = x_y_plots_from_above(xy_2D_plot_data, ...
    x_y_motion, no_files, direction)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%The function will get the data from the last folder at each of the
%specified directions, and save it to a new struct for further processing.
%The data is saved to a new struct to make them easier for plotting, and to
%check if the surface plot is correct.
%
%Date: 22.04.13
%Name: Emir Lejlic.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


xy_2D_plot_tmp = xy_2D_plot_data;

%Counts through the directions
counter = 1;


    for i = 1:no_files-1

        %Finding the direction in the folder name.
                       
        tmp = strfind(x_y_motion(i,1).folder,'dir');
        tmp2 = strfind(x_y_motion(i,1).folder,'_hs');
        tmp3 = strfind(x_y_motion(i+1,1).folder,'dir');        
        tmp4 = strfind(x_y_motion(i+1,1).folder,'_hs');
        
        %Finding the direction in the folder name.
        fprintf('%i: %s\n',i,x_y_motion(i,1).folder(tmp:end));
        
        %The direction in the filename
        dir_value_1 = str2double(x_y_motion(i,1).folder(tmp+3:tmp2-1));
        dir_value_2 = str2double(x_y_motion(i+1,1).folder(tmp3+3:tmp4-1));

        if (dir_value_1 ~= dir_value_2) || (i == no_files-1)
                        
            %Saving the name and values in the struct.
            xy_2D_plot_tmp(counter,1).dir = dir_value_1;
            xy_2D_plot_tmp(counter,1).name = x_y_motion(i,1).folder(tmp:end);
            xy_2D_plot_tmp(counter,1).name = strrep(x_y_motion(i,1).folder(tmp:end),'_',' ');
            xy_2D_plot_tmp(counter,1).x_y_val(:,1) = x_y_motion(i,1).x_y_data(:,1);
            xy_2D_plot_tmp(counter,1).x_y_val(:,2) = x_y_motion(i,1).x_y_data(:,2); 
            
           
            counter = counter + 1;
            
%                 if i == no_files-1
% 
%                     
%                 %Saving the last name and values in the struct.
%                 xy_2D_plot_tmp(counter,1).dir = dir_value_1;
%                 xy_2D_plot_tmp(counter,1).name = x_y_motion(i+1,1).folder(tmp:end);
%                 xy_2D_plot_tmp(counter,1).name = strrep(x_y_motion(i+1,1).folder(tmp:end),'_',' ');
%                 xy_2D_plot_tmp(counter,1).x_y_val(:,1) = x_y_motion(i+1,1).x_y_data(:,1);
%                 xy_2D_plot_tmp(counter,1).x_y_val(:,2) = x_y_motion(i+1,1).x_y_data(:,2); 
% 
%                 
%                 end            
                        
            
        end


    end
    
    %Need to sort the data. The direction are sorted randomly.
    sorted_dir = zeros(length(xy_2D_plot_tmp),1);
    
    for i = 1:length(xy_2D_plot_tmp)
        
        sorted_dir(i) = xy_2D_plot_tmp(i,1).dir;
        
    end
    
    sorted_dir = sort(sorted_dir,'ascend');    
    
    
    for i = 1:length(sorted_dir)
        
        dir_tmp = sorted_dir(i);
        
        stru_indx = structfind(xy_2D_plot_tmp,'dir',dir_tmp);
        
        xy_2D_plot_data(i,1).dir = xy_2D_plot_tmp(stru_indx,1).dir;
        xy_2D_plot_data(i,1).name = xy_2D_plot_tmp(stru_indx,1).name;
        xy_2D_plot_data(i,1).x_y_val = xy_2D_plot_tmp(stru_indx,1).x_y_val;
        
    end
      
    
    
end


