function xy_coord_prob = ...
xy_count_and_prob(counted_x_y_data, large_transformed_coord_matrix,...
total_count, x_min, y_max)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%The function goes through all the coordinates in the counted_x_y_data
%matrix and finds the number of occurences in the
%large_transformed_coord_matrix. By knowing the total number of occurences
%it is possible to find the probability of the motion p(x,y).
%
%Date: 24.04.13
%Name: Emir Lejlic
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%These are needed to convert to the transformed coordinates.
x_start = x_min;
y_start = y_max;

%Needed to loop through the matrices.
[rows, ~] = size(counted_x_y_data);

%The cols 1 and 2 will have the x and y coordinate, while cols 3 and 4 will
%have the number of occurences and probability. 
xy_coord_prob = zeros(rows, 4);

    for i = 1:rows

        x = counted_x_y_data(i,1);
        y = counted_x_y_data(i,2);

        xy_coord_prob(i,1) = x;
        xy_coord_prob(i,2) = y;

        y_transformed = y_start - y;
        x_transformed = x - x_start;

        m = round(x_transformed * 100);
        n = round(y_transformed * 100);

        counted_occurences = round(large_transformed_coord_matrix(n,m));

        %The count of each respective x and y coordinate.
        xy_coord_prob(i,3) = counted_occurences;

        %The probability of each the respective x and y coordinate.
        xy_coord_prob(i,4) = counted_occurences/total_count;


    end



end

