@ECHO Off
SETLOCAL ENABLEDELAYEDEXPANSION             

rem ** PATHS
SET SIMDIR=%CD%
SET RIFLEX_HOME=C:\Users\lejlic\master_thesis\riflex_simo_academic_4.0.2\Riflex\bin
SET INP=%SIMDIR%\input
SET MATROOT=C:\programs\MATLAB\R2012a\bin
SET MAT_SCRIPTS=%SIMDIR%\mat    

REM ** CONTROL WHICH RESULTS FILES THAT WILL BE DELETED
SET CLEAN=*.ffi *.sam *.gnd *.raf *.plt *.plo *.t *.ts *.key
SET CLEAN_MATLAB=*.m

rem ** CONTROL STAMOD AND DYNMOD MEMORY
SET RIFLEX_STAMOD_MEM=800
SET RIFLEX_DYNMOD_MEM=800
SET RIFLEX_MAXDYN_IFNDYN=800000

rem ** PROMPT SYSTEM IDENTIFIER
SET /P SYSID="Please enter system identifier (ID):"
SET /P CASES="Please enter case list file:"
SET RINP=%SYSID%_inpmod.inp
SET RSTA=%SYSID%_stamod.inp
SET RVIV=%SYSID%_vivana.inp

rem ** LOOP CASES
FOR /F "eol=# tokens=1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18" %%a IN (%CASES%) DO (
  
    rem ** Assign case variables
    SET RUNID=%%a
    SET ICURIN=%%b
    SET CURDIR=%%c
    SET STFBOT=%%d
    SET STFAXI=%%e
    SET STFLAT=%%f
    SET NELSEG=%%g
    SET CQX=%%h
    SET CQY=%%i
    SET RELDAM=%%j
    SET CHID=%%k
    SET RM1=%%l
    SET RC1=%%m    
    
    rem ** Create result folders
    TITLE Analysis running - !RUNID!
    SET RESDIR=%SIMDIR%\results\%SYSID%\!RUNID!
    IF NOT EXIST !RESDIR! (MD !RESDIR!) 
    CD !RESDIR!
    
    rem ** Copy master input files (remember that in your case *_inpmod.inp also contain the RAOs)
    COPY %INP%\%SYSID%_*.inp . /Y
    
    rem ** copying the matlab scripts to the result map in order to run the script from there.
    COPY %MAT_SCRIPTS%\*.m . /Y
    
    rem ** Inserting values for wildcards in inpmod.inp
    CALL %MATROOT%\matlab -nodesktop -nosplash -wait -nojvm -r "change_str_in_file !RESDIR!\%SYSID%_inpmod.inp $CURDIR !CURDIR! $STFBOT !STFBOT! $STFAXI !STFAXI! $STFLAT !STFLAT! $NELSEG !NELSEG! $CQX !CQX! $CQY !CQY!"
    
    rem ** Inserting values for wildcards in stamod.inp
    CALL %MATROOT%\matlab -nodesktop -nosplash -wait -nojvm -r "change_str_in_file !RESDIR!\%SYSID%_stamod.inp $ICURIN !ICURIN!"
    
    rem ** Inserting values for wildcards in vivana.inp
    CALL %MATROOT%\matlab -nodesktop -nosplash -wait -nojvm -r "change_str_in_file !RESDIR!\%SYSID%_vivana.inp $RELDAM !RELDAM! $CHID !CHID! $RM1 !RM1! $RC1 !RC1!" 
       
    rem ** Riflex (INPMOD, STAMOD, VIVANA)     
    FOR %%z IN ( i s v ) DO (CALL %RIFLEX_HOME%\riflex %%z %SYSID%)
    
    rem ** Clean
    DEL %CLEAN%
    
    rem ** Plotting VIVANA results from the mpf file:
    FOR %%z IN ( stamod vivana ) DO (CALL %MATROOT%\matlab -nodesktop -wait -nosplash -nojvm -r "postprocess_mpf %SYSID%_%%z.mpf"  )    
       
    DEL %CLEAN_MATLAB%
    
    CD %SIMDIR%
  )
  
rem ** CREATE LOG-FILE

ECHO #Status of analyses > run_log.log

rem ** > creates a new run.log, while >> adds text to an existing run.log file

FOR /F "eol=# tokens=1" %%a IN (%CASES%) DO ( 

    rem ** Assign case variables

    SET RUNID=%%a

    SET RESDIR=results\%SYSID%\!RUNID!
    SET MPF_FILE=!RESDIR!\%SYSID%_vivana.mpf        

    IF NOT EXIST !RESDIR! (

        ECHO !RUNID! not existing >> run_log.log

    ) ELSE (

        FOR %%f IN (!MPF_FILE! ) DO (
        
            SET FILESIZE=%%~zf
        
            rem ** the number represents the size of .mpf in bytes. (1 kb = 111 bytes)
            IF !FILESIZE! GEQ 2000 (

                ECHO !RUNID! completed. >> run_log.log
                 

            ) ELSE (

                ECHO !RUNID! failed. >> run_log.log

            )

        )   

    )

  )
  
TITLE %CASES% COMPLETE
PAUSE