function new_file = change_str_in_file(varargin)
%This function will read a textfile and will replace certain strings in it.
%The strings that we want to replace are called wildcards and look like: 
%
%       $ICURIN, $IDWFTR, $ISNOD and etc.
%
%The function is supposed to be used as:
%
%   change_str_in_file(filepath,arg_1,value_1,arg_2,value_2,...arg_n,value_n)
%
%The purpose is to use this function in order to da a parametric variation
%of RIFLEX/VIVANA analysis.
%
%Author: Emir Lejlic
%Date:   15.03.13
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

input_file = varargin{1};
%output_file is the same as input_file
%output_file = 'bin_inpmod_test.inp';

%The file is read into a string.
new_file = file2str(input_file);

%No. of blocks: arg1,value1 is one block. arg2,value2 is another block.
%So, a function func(filepath,arg1,val1,arg2,val2) has two blocks!
no_var_blocks = (nargin-1)/2;

%creating a 1 x no_inputs struct.
input(no_var_blocks) = struct();  

    for i = 1:no_var_blocks
         
        %Not sure if the filename is needed. EMLE\19.03.13 
        %input(1,i).filename = input_file;
        input(1,i).old_string = num2str(varargin{2*i});
        %disp(['Input: ',input(1,i).old_string]);
        input(1,i).new_string = num2str(varargin{2*i+1});
        %disp(['Output: ',input(1,i).new_string]);
       
        %Replacing the input arguments with certain values.    
        new_file = strrep(new_file,input(1,i).old_string,input(1,i).new_string);
    
    end
    
%Writes the new file.
fid = fopen(input_file,'w');
fprintf(fid,'%s',new_file);
fclose(fid);

clear fid;

%This will exit matlab
exit;

end



