function extract_fatigue_from_mpf(input_filename,output_filename)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This function takes gets the fatigue info from the input mpf file and
%creates a new file with only the fatigue data. This is created in order to
%minimize the space when running the riser analysis with many (x,y)
%coordinates.
%
%Name: Emir Lejlic.
%Date: 06.0513
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Go to folder where the .mpf file is:
%cd(input_folder);

%Read the entire file as a string.
textfile = file2str(input_filename);

%The commands below will find the fatigue data in the mpf file:
    find_max_damage = strfind(textfile,'accumulated');
    find_drag_amp = strfind(textfile,'Drag');
    fatigue_damage_data = textfile(find_max_damage(1):find_drag_amp(1)-12);
    %Deleting the unecessary variables...
    
    %Need only the number data from the string:
    find_values = strfind(fatigue_damage_data,'VALUES');
    fat_dam = fatigue_damage_data(find_values+6:end);
    fatigue_damage = str2num(fat_dam);
    
    %To run through the files.
    [rows, ~] = size(fatigue_damage);    
    
    %Saving the info to a new_file
    fid = fopen(output_filename,'w');
        
        fprintf(fid,'#%s\n','Extracted data from .mpf file.');
        fprintf(fid,'#%s\n','Max accumulated damage.');
        fprintf(fid,'#%s %s\n','Arclength [m]','Fatigue damage [1/years]');
        
        for i = 1:rows
           
            fprintf(fid,'%e %e\n',fatigue_damage(i,:));        
            
        end
        
    
    fclose(fid);
   
   
   %This will exit matlab
   exit;
    

end